Bug 103275 - Rename 'Spacing to Content' to 'Padding'
Summary: Rename 'Spacing to Content' to 'Padding'
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Writer-Tables Image-Dialog
  Show dependency treegraph
 
Reported: 2016-10-17 07:57 UTC by Heiko Tietze
Modified: 2017-08-19 09:22 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2016-10-17 07:57:56 UTC
The usual label for this property is padding and should be used in the respective dialogs. 

Use "padding" for space inside boxes and "margin" for outside distances.

(CC help and l10n)
Comment 1 Heiko Tietze 2016-10-17 13:16:52 UTC
Regina says:

"Word 2010 labels the function as 'Internal margin' (dt: 'Innerer Seitenrand'), which is not suited. Selfhtml uses the wording 'padding' (dt: 'Innenabstand') and 'margin' (dt: 'Außenabstand'). 'Spacing to Content (Margin)' could be kept with the small change to not confuse beginners. For wrap it could also be 'Spacing (Margin)'."

Following this suggestion the setting for "Indents & Spacing" could be labeled "Spacing (Padding)". But I think we better use clear terms and let the user lern it.
Comment 2 Yousuf Philips (jay) (retired) 2016-10-17 23:39:38 UTC
So here is the competition.

HTML
img:vspace - whitespace on top and bottom of an image
img:hspace - whitespace on left and right side of an image
table:cellpadding - space between the cell wall and the cell content
table:cellspacing - space between cells

CSS
table:padding - space between the border and the content in a table
table:border-spacing - sets the distance between the borders of adjacent cells
margin - used to generate space around elements
padding - used to generate space around content

http://www.w3schools.com/Css/css_table.asp
http://www.w3schools.com/cssref/pr_border-spacing.asp
http://www.w3schools.com/css/css_margin.asp
http://www.w3schools.com/css/css_padding.asp

Word 2010 / WPS/Kingsoft Writer
Table: Cell Margins (inside box), Cell Spacing (between cells), Distance from surrounding text (around table)
Object Wrapping: Distance from text (around object)

Calligra Words
Object Wrapping: Shape and text is separated (around object)

WordPerfect X7
Table: Inside margins in cell (inside box)
Comment 3 Heiko Tietze 2016-10-18 07:15:33 UTC
Calligra Words: Indent/Spacing section with "Line Spacing" and "Paragraph Space" 

(No need to follow what others do, in my opinion. CSS is the mother of all.)
Comment 4 Commit Notification 2017-08-19 09:18:24 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d0acf8763a154fac6597cb37d023c0412710c7a

tdf#103275 Rename 'Spacing to Content' to 'Padding'

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Adolfo Jayme 2017-08-19 09:19:39 UTC
I’m happy with the new non-convoluted term =)
Comment 6 Heiko Tietze 2017-08-19 09:22:35 UTC
Thanks for fixing the issue.